cURL
curl --request POST \ --url https://api.xplenty.com/{account_id}/api/accounts \ --header 'Accept: <accept>' \ --header 'Authorization: Basic <encoded-value>' \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "region": "<string>", "location": "<string>" } '
{ "id": 123, "account_id": "<string>", "name": "<string>", "uname": "<string>", "region": "<string>", "location": "<string>", "billing_email": "jsmith@example.com", "gravatar_email": "jsmith@example.com", "avatar_url": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "connections_count": 123, "role": "<string>", "owner_id": 123, "members_count": 123, "packages_count": 123, "jobs_count": 123, "running_jobs_count": 123, "url": "<string>", "public_key": "<string>" }
Enter your API key as the username. Leave the password field blank. Example: curl -u YOUR_API_KEY: https://api.xplenty.com/...
curl -u YOUR_API_KEY: https://api.xplenty.com/...
API version header — required on all requests
Account created
Was this page helpful?